Subject: Re: Is Cygwin legal under Windows XP?
From: Sam Edge <[email-masked]>
To: [email-masked]
Date: Sun, 21 Apr 2002 11:31:04 +0100

You wrote in <3CC24897.10238.884BE175@localhost>
in gmane.os.cygwin on Sun, 21 Apr 2002 05:05:27 -0500:

> Or, Web servers which download Java, Javascript and ASP's.

Download is okay - the code is running on the remote machine and needs
a local (Java/.NET/ActiveX/WSH) licence to run there. 

I think you mean server-side DHTML. (Of course you can't run IIS on
workstation versions of Win32 anyway.)The licence agreement does seem
to suggest that you can't run CGI or PHP or other server-side code on
Apache on XP Pro.  Linux, anyone? ;-)

> What concerns me is the the apparent stricture on any non-MS
> remote access to one's own PC via sshd!  I guess this would
> even make PCAnywhere connections from a non-XP host illegal
> w/o an additional XP license.

Absolutely. From a straightforward reading it precludes peer-to-peer
file sharing too.

(Anyway, we're drifting off-topic so I'll stop.)

-- 
Sam Edge

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/